% This script created a testabe
% MARTe2 cfg file for the template algorithm
% with these specifications:
%
% tunable parameters MDSplus link via MDSObjLoader instatiation
% tunable waveforms  MDSplus link via MDSObjWavegen instantiation
% single realtime thread, LinuxTimer synched at 1kHz
% algorithms output MDSplus link via standard MDSWriter

startpath=pwd;
fcnpath=fileparts(mfilename('fullpath'));
eval(sprintf('cd %s',fcnpath));

%% Preclean
system('rm -rf mdsparameters.cfg');
system('rm -rf mdswavegen.cfg');

%% MDSParameters part generation

diary mdsparameters.cfg
obj.printMARTe2parconfig(-1);
diary off
system('sed -i ''s/obj.printMARTe2parconfig(-1);//g'' mdsparameters.cfg');

%% MDSWavegen datasource part generation

diary mdswavegen.cfg
obj.printMARTe2wgbusconfig(-1,'algo_template_inBus',1000);
diary off
system('sed -i ''s/obj.printMARTe2wgbusconfig(-1,''algo_template_inBus'',1000);//g'' mdswavegen.cfg');

%% Input bus expansion



